UNIT Modul1;
{ Nazwa modulu musi byc taka sama jak nazwa pliku, w ktorym jest
  zapisany (a wiec w DOSie musi miec do 8 znakow). Tej samej nazwy
  uzywa sie tez w klauzyli USES w programach i innych modulach
  korzystajacych z tego modulu. W pliku .tpu o tej samej nazwie bedzie
  zapisana skompilowana wersja modulu. }

INTERFACE

USES Modul3;

{ Interfejs modulu.
  Tutaj deklaruje sie to, co ma byc widoczne w programach.
  Moga to byc typy, stale, zmienne, procedury i funkcje.
  W przypadku procedur i funkcji tutaj umieszcza sie ich naglowki. }


VAR zmienna_widoczna: Integer;
  { Nie jest uzywana, tylko tak dla pokazania. }

PROCEDURE Procedura1;

IMPLEMENTATION

{ Implementacja modulu.
  Tutaj umieszcza sie deklaracje tych rzeczy, ktore nie maja byc widoczne
  na zewnatrz, a takze implementacje procedur i funkcji zadeklarowanych
  w interfejsie. }

USES Modul4;

VAR zmienna_niewidoczna: Integer;

PROCEDURE Inicjuj;
  BEGIN
    Writeln('Modul1 Inicjuj');
    zmienna_niewidoczna := 0
  END;

FUNCTION CzytajZmienna: Integer;
  BEGIN
    CzytajZmienna := zmienna_niewidoczna;
    zmienna_niewidoczna := zmienna_niewidoczna + 1
  END;

PROCEDURE Procedura1;
  BEGIN
    Writeln('Modul1 Procedura1 : ', CzytajZmienna);
    Procedura3
  END;

{ Na koncu podaje sie kod, ktory bedzie wykonywany zawsze w momencie
  "ladowania modulu", czyli raz na poczatku programu.
  Tutaj nalezy zainicjowac modul, ustawic poczatkowy stan zmiennych,
  zaalokowac ewentualnie jakies potrzebne zasoby systemowe (pamiec, pliki). }

BEGIN
  Inicjuj
END.
